For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invite users to teams in bulk

This endpoint sends invitations to multiple users to join specified teams in a single request. Each invitation includes the team ID, roles to assign, and the email address of the user to be invited. O

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint sends invitations to multiple users to join specified teams in a single request. Each invitation includes the team ID, roles to assign, and the email address of the user to be invited. Optionally specify a custom invitation URL and language code for the email template."

Invite users to teams in bulk

Invite users to teams in bulk

post

This endpoint sends invitations to multiple users to join specified teams in a single request. Each invitation includes the team ID, roles to assign, and the email address of the user to be invited. Optionally specify a custom invitation URL and language code for the email template.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The bulk invite operation completed. Check the response for individual invitation results.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

messagestringOptional

Success message for the operation.

statusstring · enumOptionalDefault: BULK_OPERATION_SUBMITTEDPossible values:
post/v2/teams/bulk/invite-user
POST /v2/teams/bulk/invite-user HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 264

{
  "inviteUsers": [
    {
      "emailToInvite": "invitee@example.com",
      "inviteUrl": "https://campaign.citrusad.com/user/invite",
      "languageCode": "EN_US",
      "managerTeamId": "manager-team-123",
      "roleIds": [
        "ROLE_TYPES_SUPPLIER_FULL",
        "ROLE_TYPES_RETAILER_REPORT_VIEW"
      ],
      "teamId": "team-456"
    }
  ]
}
{
  "bulkId": "text",
  "message": "text",
  "status": "BULK_OPERATION_SUBMITTED"
}